> For the complete documentation index, see [llms.txt](https://docs.zipy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zipy.ai/zipy-for-mobile/flutter-setup/gesture-capturing.md).

# Gesture Capturing

Gesture Capture is a feature provided by Zipy that allows you to capture gestures within your Flutter application. To enable this feature, wrap your application with the `ZipyWrapper` wrapper.

1. Wrap ZipyWrapper to your main app.

```dart
import 'package:zipy_flutter/zipy_flutter.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  Zipy.init(key: 'YOUR_API_KEY');
  runApp(const ZipyWrapper(child: MyApp()));
}
```

or

<pre class="language-dart"><code class="lang-dart">import 'package:zipy_flutter/zipy_flutter.dart';

<strong>  @override
</strong>  Widget build(BuildContext context) {
    return ZipyWrapper(
      child: MaterialApp(
        navigatorObservers: [ZipyNavigationObserver()],
        home: const HomeScreen(),
        routes: {
          '/profile': (context) => const ProfileScreen(),
        },
      ),
    );
  }
</code></pre>

Gesture Capture provides useful information, including:

* The x and y coordinates of user clicks.
* Detection of single taps, double taps, and long taps.
* The component tree on which the user has clicked.
* Identification of the clicked element type (e.g., view, text).
* The specific text clicked by the user (e.g., "Get Started").


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/gesture-capturing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
